class _WorkData {
    constructor(_BtnImg, _Name, _Setu, _Gold, _Kenk, _Yrki, _CSkills) {
        this._BtnImg = _BtnImg; 
        this._Name = _Name; 
        this._Setu = _Setu; 
        this._Gold = _Gold; 
        this._Kenk = _Kenk; 
        this._Yrki = _Yrki; 
        this._CSkills = _CSkills; 
        this._成功確立 = 100;
    }
    Copy() {
        let Rtn_CSkills = [];
        for (let i = 0; i <= this._CSkills.length - 1; i++) {
            Rtn_CSkills.push(new _CSkill(this._CSkills[i]._St ,this._CSkills[i]._Var));
        }
        return new _WorkData(
            this._BtnImg ,
            this._Name ,
            this._Setu ,
            this._Gold ,
            this._Kenk ,
            this._Yrki ,
            Rtn_CSkills ,
            this._成功確立
        )
    }
}
let _St = { 
    健康: 2, 
    淫乱度: 3, 
    体力: 4, 
    攻撃: 5, 
    防御: 6, 
    命中: 7, 
    回避: 8, 
    直感: 9, 
    やる気: 10, 
    お金: 11    
};
class _CSkill {
    constructor(_St , _Var) {
        this._St = _St; 
        this._Var = _Var;   
        this._UpVar = 0;    
    }
}
let ADV_WorkData = [];
ADV_WorkData.push(new _WorkData( 
    "Work1", "Bouncing", "Work as a bouncer at the rowdy Silver Fox Tavern.", 100, -10, -20,
    [new _CSkill(_St.体力, 10)]));
ADV_WorkData.push(new _WorkData( 
    "Work2", "Hunting", "Hunt monsters near town to maintain public safety.", 100, -10, -20,
    [new _CSkill(_St.攻撃, 10)]));
ADV_WorkData.push(new _WorkData( 
    "Work3", "Escorting", "Escort bank employees.", 100, -10, -20,
    [new _CSkill(_St.防御, 10)]));
ADV_WorkData.push(new _WorkData( 
    "Work4", "Sniping", "Snipe wanted criminals and the like.", 100, -10, -20,
    [new _CSkill(_St.命中, 10)]));
ADV_WorkData.push(new _WorkData( 
    "Work5", "Couriering", "Transport pharmaceutical ingredients. Legal.", 100, -10, -20,
    [new _CSkill(_St.回避, 10)]));
ADV_WorkData.push(new _WorkData( 
    "Work6", "Scouting", "Recruit girls to work at the Silver Fox Tavern.", 100, -10, -20,
    [new _CSkill(_St.直感, 10)]));
ADV_WorkData.push(new _WorkData( 
    "Work7", "Touting", "Attract customers to the Silver Fox Tavern.", 200, -10, -40,
    []));
ADV_WorkData.push(new _WorkData( 
    "Work8", "Hostessing", "Serve customers while enduring harassment.", 400, -10, -50,
    []));
ADV_WorkData.push(new _WorkData( 
    "Work9", "Prostitution", "Secretly sell your body to customers.", 1000, -10, -60,
    []));
Game_Interpreter.prototype.WorkDataGet = function(_BtnStr){
    for (let i = 0; i <= ADV_WorkData.length - 1; i++) {
        if(ADV_WorkData[i]._BtnImg == _BtnStr) {
            return ADV_WorkData[i];
        }
    }
    return null;
}
Game_Interpreter.prototype.WorkGold_Setting = function(_BtnStr , _SetGold) {
    for (let i = 0; i <= ADV_WorkData.length - 1; i++) {
        if(ADV_WorkData[i]._BtnImg == _BtnStr) {
            ADV_WorkData[i]._Gold = _SetGold;
        }
    }
}
let ADV_KunrenData = [];
ADV_KunrenData.push(new _WorkData( 
    "Kunren1", "Combat Training", "Spar against 100 opponents. Grueling.", -1000, -40, -20,
    [new _CSkill(_St.防御, 20), new _CSkill(_St.回避, 20)]));
ADV_KunrenData.push(new _WorkData( 
    "Kunren2", "Camp Training", "Practice setting up camp tents. Exhausting.", -1000, -40, -20,
    [new _CSkill(_St.体力, 20), new _CSkill(_St.直感, 20)]));
ADV_KunrenData.push(new _WorkData( 
    "Kunren3", "Target Practice", "Improve accuracy with clay shooting. Difficult.", -1000, -40, -20,
    [new _CSkill(_St.攻撃, 20), new _CSkill(_St.命中, 20)]));
Game_Interpreter.prototype.KunrenDataGet = function(_BtnStr){
    for (let i = 0; i <= ADV_KunrenData.length - 1; i++) {
        if(ADV_KunrenData[i]._BtnImg == _BtnStr){
            return ADV_KunrenData[i];
        }
    }
    return null;
}
Game_Interpreter.prototype.KunrenGold_Setting = function(_BtnStr , _SetGold) {
    for (let i = 0; i <= ADV_KunrenData.length - 1; i++) {
        if(ADV_KunrenData[i]._BtnImg == _BtnStr) {
            ADV_KunrenData[i]._Gold = _SetGold;
        }
    }
}
